Add an upload

Add an upload to bokio in the form of an image or pdf. One file can be uploaded per request. The request must be multi-part MIME.

Sample request for uploading a file using multipart MIME

POST http://api.bokio.se/companies/{companyId}/uploads
Content-Type: multipart/form-data; boundary=----FormBoundary7MA4YWxkTrZu0gW
Authorization: Bearer <token>

------FormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="File"; filename="receipt.png"
Content-Type: image/png

< ./receipt.png

------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="journalEntryId"

835ba700-b306-4bd9-8447-59207b6b0002

------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="description"

Description for the upload

------FormBoundary7MA4YWxkTrZu0gW--

Scope: uploads:write

Path Params
uuid
required

Unique identifier of the company

Body Params

File and information for upload

file
required

The file to upload

string

Description of the upload. If left empty, the file name will be used.

uuid

The journal entry id to attach the upload to

Headers
string
required

Content type of the request

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json